//========================================================
//      DECLARATION TEXTURES
//========================================================
#declare Balsa = texture {
pigment {   
        wood 
        color_map {
[0 color rgb <1,251/255,209/255>]
[.25 color rgb <1,251/255,209/255>]
[.3 color rgb <1,233/255,195/255>]
[.5 color rgb <1,233/255,195/255>]
[.55 color rgb <1,226/255,219/255>]
[.6 color rgb <1,226/255,219/255>]
[.7 color rgb <1,233/255,195/255>] }   
        turbulence <.1,.1,0>} 
        rotate x*90}

//=========================================================
//      SILLET
//=========================================================
#declare sillet =
intersection {
cylinder {<0,.3,0>,<0,-.2,0>,2.1} cylinder {<8.7,.4,0>,<8.7,-.3,0>,8.75} 
pigment {color rgb <1,1,.9>} translate y*46 rotate <0,0,-90> translate <3,.7,0>
}

//========================================================
//       MECANIQUES
//========================================================
#declare meca = union {
cylinder {<0,0,0>,<0,1.6,0>,.4}
cone {<0,2,0>,.15,<0,1.6,0>,.25}
cone {<0,2,0>,.15,<0,2.5,0>,.25}
cylinder {<0,2.5,0>,<0,2.7,0>,.25}    
cylinder {<0,0,0>,<0,-.4,0>,.6}
cylinder {<0,-.2,0>,<0,-.2,2>,.15}
sphere {<0,0,0>,.8 scale <1,.4,.7> translate z*2}
     texture {T_Chrome_5E}}

#declare mecaniques = union {
#declare pasmeca = 2.4
object {meca}
object {meca translate x*pasmeca*1}
object {meca translate x*pasmeca*2}
object {meca translate x*pasmeca*3}
object {meca translate x*pasmeca*4}
object {meca translate x*pasmeca*5}
       rotate y*15 translate <54,-2.7,2>}

//========================================================
//    TETE  
//========================================================
#declare tete = union {
        difference {
box {<16,0,-5>,<0,2.7,5>}
        intersection {
cylinder {<1.2,2.7,5>,<1.2,2.7,-5>,1.2}
cylinder {<0,-6,0>,<10,-6,0>,8.7}
                }
cylinder {<1.2,2.7,5>,<1.2,2.7,-5>,1.2}       
box {<1.2,1.5,-5>,<17,3,5>}
cylinder {<0,-.5,-7.7>,<0,3,-7.7>,5.6}     
cylinder {<0,-.5,3.9>,<0,3,3.9>,1.8}
torus {2.7+1.2 1.2 rotate z*90 translate y*3}
box {<0,-.5,0>,<25,3,10>  rotate y*15 translate z*3.8}
box {<0,-.5,0>,<25,3,-10>  rotate y*-10 translate z*-5.5}
                }
cylinder {<0,0,0>,<0,1.5,0>,2.5 translate x*15.5 rotate y*15 translate z*1.2}
texture {Balsa}}

//========================================================
//    MICRO  
//========================================================
#declare micro =
union {
        union {
        cylinder {<0,0,-.5>,<0,-1,-.5>,.2}
cylinder {<0,0,-1.5>,<0,-1,-1.5>,.2} 
cylinder {<0,0,-2.5>,<0,-1,-2.5>,.2} 
cylinder {<0,0,.5>,<0,-1,.5>,.2}     
cylinder {<0,0,1.5>,<0,-1,1.5>,.2}
cylinder {<0,0,2.5>,<0,-1,2.5>,.2}   
texture {pigment {Gray20}}}
cylinder {<0,-.3,2.5>,<0,-2,2.5>,1 pigment {color rgb <1,1,.9>}}
cylinder {<0,-.3,-2.5>,<0,-2,-2.5>,1 pigment {color rgb <1,1,.9>}}
box {<1,-.3,-2.5>,<-1,-2,2.5> pigment {color rgb <1,1,.9>}}}
//========================================================
//    CORPS  
//========================================================
#declare corps =difference 
{height_field {gif "guithf.gif" translate <-.5,-.5,-.5> scale <49,4,29> } 
plane {y,-1} translate <-5,-3,0>
texture {T_Wood14 scale 8 rotate <45,0,10> translate <-40,0,0>} 
finish {ambient .4 phong .8 phong_size 60 reflection .1}}
//========================================================
//    CHEVALET  
//========================================================
#declare chevalet = union {
cylinder {<0,-.3,2.5>,<0,-2,2.5>,1} 
cylinder {<0,-.3,-2.5>,<0,-2,-2.5>,1}
box {<1,-.3,-2.5>,<-1,-2,2.5>}
texture {T_Chrome_5E} 
translate <-15,1,0>}
//========================================================
//    BOUTONS  
//========================================================
#declare boutons = union {
cylinder {<-7,-1,-7>,<-7,1,-7>,1 texture {T_Chrome_5E}}
cylinder {<-11,-1,-9>,<-11,1,-9>,1 texture {T_Chrome_5E}}
normal {bumps .4 scale .5}}
//========================================================
//    MANCHE  
//========================================================
#declare frette =
intersection {
cylinder {<0,.2,0>,<0,-.1,0>,2.65} 
cylinder {<8.7,.1,0>,<8.7,0,0>,8.75} 
texture {pigment {Gray50}}}

#declare manche =
union { 
intersection {
cone {<0,0,0>,2.7,<0,47,0>,2.1 scale <1.5,1,1>} 
cone {<7.7,47,0>,7.7,<8.7,0,0>,8.7}}
   intersection {     union {
object {frette translate y*1.3} 
object {frette translate y*2.41} 
object {frette translate y*3.59} 
object {frette translate y*4.84} 
object {frette translate y*6.16} 
object {frette translate y*7.57} 
object {frette translate y*9.05} 
object {frette translate y*10.6} 
object {frette translate y*12.3} 
object {frette translate y*14.07} 
object {frette translate y*15.94} 
object {frette translate y*17.92} 
object {frette translate y*20.03} 
object {frette translate y*22.25} 
object {frette translate y*24.61} 
object {frette translate y*27.11} 
object {frette translate y*29.76} 
object {frette translate y*32.57} 
object {frette translate y*35.54} 
object {frette translate y*38.69} 
object {frette translate y*42.03}  }   
cone {<0,0,0>,2.65,<0,47,0>,2.05 
texture {pigment {Gray50}}
        } 
texture {pigment {Gray50}}
        }
texture {Balsa} rotate <0,0,-90> translate <3,.5,0>}
           
#declare co = 63
#declare che =-2
#declare cordes = union {
cylinder {<0,che,.5>,<0,co,.35>,.034 texture {T_Gold_4A}}      //r
cylinder {<0,che,-.5>,<0,co,-.35>,.026 texture {T_Chrome_5E}}   //sol
cylinder {<0,che,1.5>,<0,co,1.05>,.042 texture {T_Gold_4A}}    //la
cylinder {<0,che,-1.5>,<0,co,-1.05>,.018 texture {T_Chrome_5E}} //si
cylinder {<0,che,2.5>,<0,co,1.75>,.05 texture {T_Gold_4A}}    //MI
cylinder {<0,che,-2.5>,<0,co,-1.75>,.011 texture {T_Chrome_5E}}  //mi
rotate <0,0,-90> translate <-13,.6,0>}  
#declare dsc = 1.1   
#declare nsp = 4.7
#declare cordestete = union {
cylinder {<dsc,co+nsp+(pasmeca*2),.7>,<0,co,.35>,.034 texture {T_Gold_4A}}      //r
cylinder {<dsc,co+nsp+(pasmeca*3),.1>,<0,co,-.35>,.026 texture {T_Chrome_5E}}   //sol
cylinder {<dsc,co+nsp+(pasmeca*1),1.4>,<0,co,1.05>,.042 texture {T_Gold_4A}}    //la
cylinder {<dsc,co+nsp+(pasmeca*4),-.5>,<0,co,-1.05>,.018 texture {T_Chrome_5E}} //si
cylinder {<dsc,co+nsp+(pasmeca*0),2>,<0,co,1.75>,.05 texture {T_Gold_4A}}    //MI
cylinder {<dsc,co+nsp+(pasmeca*5),-1.1>,<0,co,-1.75>,.011 texture {T_Chrome_5E}}  //mi
rotate <0,0,-90> translate <-13,.6,0>}
//========================================================
//    ENFIN, LA GUITARE  
//========================================================
#declare guitare =
union {
object {cordes} 
object {sillet}
object {cordestete}  
object {manche}
object {micro translate <-1,0,0>} 
object {micro translate <-6,0,0>}
object {micro rotate <0,10,0> translate <-11,0,0>}
object {tete translate <49.85,-2.7,0>}
object {corps} 
object {chevalet} 
object {boutons}
object {mecaniques}
}

